# Amuse: amuse::EffectReverbStdImp< T > Class Template Reference

amuse::EffectReverbStdImp< T > Class Template Reference

`#include <EffectReverb.hpp>`

Inheritance diagram for amuse::EffectReverbStdImp< T >:
Collaboration diagram for amuse::EffectReverbStdImp< T >:

## Public Member Functions

| EffectReverbStdImp (float coloration, float mix, float time, float damping, float preDelay, double sampleRate)
void | applyEffect (T *audio, size_t frameCount, const ChannelMap &chanMap)
Public Member Functions inherited from amuse::EffectReverbStd
void | setColoration (float coloration)
void | setMix (float mix)
void | setTime (float time)
void | setDamping (float damping)
void | setPreDelay (float preDelay)

## Additional Inherited Members

Public Types inherited from amuse::EffectReverbStd
template<typename T >
using | ImpType = EffectReverbStdImp< T >
Protected Member Functions inherited from amuse::EffectReverbStd
| EffectReverbStd (float coloration, float mix, float time, float damping, float preDelay)
Protected Attributes inherited from amuse::EffectReverbStd
float | x140_x1c8_coloration
float | x144_x1cc_mix
float | x148_x1d0_time
float | x14c_x1d4_damping
float | x150_x1d8_preDelay
bool | m_dirty = true

## Detailed Description

### template<typename T>
class amuse::EffectReverbStdImp< T >

Standard-quality 2-stage reverb

Definition at line 25 of file EffectReverb.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectReverb.hpp